
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;

    font-family: Arial, sans-serif;

    background: linear-gradient(
        135deg,
        #ff9a9e,
        #fad0c4,
        #fbc2eb,
        #a18cd1
    );
}

.app {
    width: 450px;

    padding: 30px;

    border-radius: 25px;

    background: rgba(255, 255, 255, 0.2);

    backdrop-filter: blur(12px);

    box-shadow: 0 8px 32px rgba(0,0,0,0.2);

    border: 1px solid rgba(255,255,255,0.3);
}

h1 {
    text-align: center;

    margin-bottom: 10px;

    color: white;

    font-size: 34px;
}

#taskCounter {
    text-align: center;

    color: white;

    margin-bottom: 25px;

    opacity: 0.8;
}

.task-input {
    display: flex;
    gap: 12px;

    margin-bottom: 20px;
}

input {
    flex: 1;

    padding: 14px;

    border: none;
    outline: none;

    border-radius: 14px;

    background: rgba(255,255,255,0.7);

    font-size: 16px;

    color: #333;
}

input::placeholder {
    color: #666;
}

button {
    padding: 14px 20px;

    border: none;

    border-radius: 14px;

    background: linear-gradient(
        135deg,
        #ff4f9f,
        #ff85c2
    );

    color: white;

    font-size: 15px;
    font-weight: bold;

    cursor: pointer;

    transition: 0.25s;
}

button:hover {
    transform: translateY(-2px) scale(1.03);

    box-shadow: 0 6px 18px rgba(255,79,159,0.4);
}

ul {
    list-style: none;
    margin-top: 20px;
}

li {
    background: rgba(255,255,255,0.55);

    padding: 16px;

    border-radius: 16px;

    margin-bottom: 14px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    transition: 0.2s;

    color: #333;

    backdrop-filter: blur(8px);
}

li:hover {
    transform: translateY(-3px);
}

li button {
    background: linear-gradient(
        135deg,
        #ff5f6d,
        #ffc371
    );

    padding: 10px 14px;

    border-radius: 12px;
}

.completed {
    text-decoration: line-through;
    opacity: 0.5;
}

.empty {
    text-align: center;

    color: white;

    opacity: 0.8;

    margin-top: 20px;
}

select {
    padding: 12px;

    border: none;
    outline: none;

    border-radius: 12px;

    background: rgba(255,255,255,0.7);

    font-size: 15px;

    color: #333;
}

.priority {
    padding: 6px 10px;

    border-radius: 10px;

    font-size: 12px;
    font-weight: bold;

    color: white;

    margin-left: auto;
    margin-right: 10px;
}

.high {
    background: #ef4444;
}

.medium {
    background: #f59e0b;
}

.low {
    background: #10b981;
}

